> ## Documentation Index
> Fetch the complete documentation index at: https://docs.julep.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Files



## OpenAPI

````yaml https://api.julep.ai/api/openapi.json get /files
openapi: 3.1.0
info:
  title: Julep Agents API
  description: API for Julep Agents
  termsOfService: https://www.julep.ai/terms
  contact:
    name: Julep
    url: https://www.julep.ai/
    email: developers@julep.ai
  version: 0.4.0
servers:
  - url: /api
security: []
paths:
  /files:
    get:
      tags:
        - files
      summary: List Files
      operationId: list_files_files_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/File'
                type: array
                title: Response List Files Files Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    File:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          readOnly: true
        created_at:
          type: string
          format: date-time
          title: Created At
          readOnly: true
        name:
          type: string
          maxLength: 120
          pattern: >-
            ^[\p{L}\p{Nl}\p{Pattern_Syntax}\p{Pattern_White_Space}]+[\p{ID_Start}\p{Mn}\p{Mc}\p{Nd}\p{Pc}\p{Pattern_Syntax}\p{Pattern_White_Space}]*$
          title: Name
        description:
          type: string
          title: Description
          default: ''
        mime_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Mime Type
        content:
          type: string
          title: Content
        project:
          anyOf:
            - type: string
              maxLength: 255
              minLength: 1
              pattern: ^[a-zA-Z][a-zA-Z0-9_]*$
            - type: 'null'
          title: Project
        size:
          type: integer
          minimum: 1
          title: Size
          readOnly: true
        hash:
          type: string
          title: Hash
          readOnly: true
      type: object
      required:
        - id
        - created_at
        - name
        - content
        - size
        - hash
      title: File
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization

````